# $Revision: 1.12 $, $Date: 2010/05/19 17:09:00 $
%define		pkgname		simplepie
%define		php_min_version 5.1.1
%include	/usr/lib/rpm/macros.php
Summary:	SimplePie: Super-fast, easy-to-use, RSS and Atom feed parsing in PHP
Summary(pl.UTF-8):	SimplePie - bardzo szybka, łatwa w użyciu analiza feedów RSS i Atom w PHP
Name:		php-simplepie
Version:	1.2
Release:	2
License:	New BSD
Group:		Development/Languages/PHP
Source0:	http://github.com/rmccue/SimplePie/tarball/%{version}#/%{pkgname}-%{version}.tgz
# Source0-md5:	ecf30ac694cedcdc9200b7992ef0bb79
Patch0:		build.patch
URL:		http://www.simplepie.org/
BuildRequires:	rpm-build >= 4.4.9-96
BuildRequires:	rpm-php-pearprov
BuildRequires:	rpmbuild(macros) >= 1.461
Requires:	libxml2 >= 1:2.7.2
Requires:	php-common >= 4:%{php_min_version}
Requires:	php-date
Requires:	php-mbstring
Requires:	php-pcre
Requires:	php-xml
Suggests:	php-curl
Suggests:	php-idna_convert
# MySQL for cache
Suggests:	php-mysql
Suggests:	php-xmlreader
Suggests:	php-zlib
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional php dependencies
%define		_noautophp	php-mysql php-curl php-zlib php-xmlreader

# put it together for rpmbuild
%define		_noautoreq	%{?_noautophp} %{?_noautopear}

%description
SimplePie is a very fast and easy-to-use class, written in PHP, that
puts the 'simple' back into 'really simple syndication'. Flexible
enough to suit beginners and veterans alike, SimplePie is focused on
speed, ease of use, compatibility and standards compliance.

%description -l pl.UTF-8
SimplePie jest bardzo szybką i łatwą w użyciu, napisaną w PHP klasą
umieszczającą "proste" z powrotem do "bardzo prostego zbierania". Jest
wystarczająco elastyczna, aby pasować zarówno początkującym jak i
weteranom. SimplePie skupia się na szybkości, prostocie użycia,
kompatybilności i zgodności ze standardami.

%prep
%setup -qc
mv *-SimplePie-*/* .
mv README.markdown README
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_data_dir}
cp -a %{pkgname}.inc $RPM_BUILD_ROOT%{php_data_dir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{php_data_dir}/%{pkgname}.inc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-simplepie.spec,v $
Revision 1.12  2010/05/19 17:09:00  sparky
- fixed source filename hack
- BR: rpm-php-pearprov
- dropped no longer used BR: unzip

Revision 1.11  2010/05/19 13:49:07  glen
- fix deps; rel 2

Revision 1.10  2010/05/19 13:37:34  glen
- license update

Revision 1.9  2010/05/19 13:31:51  glen
- do build patching

Revision 1.8  2010/05/19 13:29:12  glen
- up to 1.2

Revision 1.7  2010/05/16 14:14:26  sparky
- BR: unzip

Revision 1.6  2009/08/03 15:18:58  glen
- require non-buggy libxml, see:
  http://bugs.simplepie.org/issues/show/101

Revision 1.5  2009/08/03 15:13:02  glen
- require fixed rpm-build

Revision 1.4  2009/08/03 15:08:43  glen
- fix quoting problems, rename with php prefix

Revision 1.3  2008/06/17 05:29:17  glen
- use %php_data_dir macro

Revision 1.2  2008/06/10 21:36:02  qboosh
- pl

Revision 1.1  2007-11-09 20:23:35  glen
- new
